package org.sky.core.log.wrapper;


import org.sky.core.log.model.LogUsual;
import org.sky.core.log.pojo.vo.LogUsualVO;
import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;

import java.util.Objects;

/**
 * Log包装类,返回视图层所需的字段
 *
 */
public class LogUsualWrapper extends BaseEntityWrapper<LogUsual, LogUsualVO> {

	public static LogUsualWrapper build() {
		return new LogUsualWrapper();
	}

	@Override
	public LogUsualVO entityVO(LogUsual logUsual) {
		return Objects.requireNonNull(BeanUtil.copyProperties(logUsual, LogUsualVO.class));
	}

}
